%define durl http://prdownloads.sourceforge.net/ddd

Summary: 	A GUI for several command-line debuggers
Name:		ddd
Version:	3.3.10
Release: 	%mkrel 2
Source: 	%durl/%name-%version.tar.bz2
Source2:	ddd.desktop
Source3:	debugger16.png
Source4:	debugger22.png
Group: 		Development/Other
URL: 		http://www.gnu.org/software/ddd/
BuildRoot: 	%_tmppath/%name-buildroot
License: 	GPL
Prereq: 	/sbin/install-info
BuildPreReq: 	lesstif-devel
BuildRequires:  flex
BuildRequires:  readline-devel
BuildRequires:  libtermcap-devel
BuildRequires:  ncurses-devel
BuildRequires:  binutils-devel
BuildRequires:  chrpath
Requires: 	lesstif, gdb

%description
The Data Display Debugger (DDD) is a popular GUI for command-line
debuggers like GDB, DBX, JDB, WDB, XDB, the Perl debugger, and the
Python debugger.  DDD allows you to view source texts and provides an
interactive graphical data display, in which data structures are
displayed as graphs.  You can use your mouse to dereference pointers
or view structure contents, which are updated every time the program
stops.  DDD can debug programs written in Ada, C, C++, Chill, Fortran,
Java, Modula, Pascal, Perl, and Python.  DDD provides machine-level
debugging; hypertext source navigation and lookup; breakpoint,
watchpoint, backtrace, and history editors; array plots; undo and
redo; preferences and settings editors; program execution in the
terminal emulation window, debugging on a remote host, an on-line
manual, extensive help on the Motif user interface, and a command-line
interface with full editing, history and completion capabilities.

%prep
%setup -q

%build
cp -f /usr/share/libtool/config.* .
CXXFLAGS='-fpermissive'
CXXFLAGS=$RPM_OPT_FLAGS$CXXFLAGS
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%_bindir,%_docdir,%_menudir,/etc/X11/applnk/Development}
%makeinstall

install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/X11/applnk/Development/ddd.desktop 
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/{16x16,22x22}/apps
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps/ddd.png
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps/ddd.png

#install -m 755 pydb/pydb.py $RPM_BUILD_ROOT/%_bindir
#install -m 755 pydb/pydbcmd.py $RPM_BUILD_ROOT/%_bindir
#install -m 755 pydb/pydbsupt.py $RPM_BUILD_ROOT/%_bindir

#cd $RPM_BUILD_ROOT%{_bindir}
#ln -sf pydb.py pydb

cat > $RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name):\
command="/usr/bin/ddd"\
title="Ddd"\
longtitle="Data Display Debugger"\
needs="x11"\
icon="development_section.png"\
section="More Applications/Development/Other"
EOF

# (sb) remove rpath from binary
chrpath -d $RPM_BUILD_ROOT/%{_bindir}/%{name}

# (sb) unpackaged files
rm -f $RPM_BUILD_ROOT/%{_libdir}/libiberty.a

%post
%_install_info %name.info
%update_menus
 
%postun
%_remove_install_info %name.info
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README TODO TIPS NEWS AUTHORS doc/*pdf doc/html
%_bindir/*
%_mandir/*/*
%_infodir/%name.*
%_infodir/%name-*
%config(noreplace) /etc/X11/applnk/Development/ddd.desktop
%_menudir/*
%dir %_datadir/%name-%version
%_datadir/%name-%version/COPYING
%_datadir/%name-%version/NEWS
%_datadir/%name-%version/ddd
%_datadir/%name-%version/themes
%_datadir/%name-%version/vsllib
%_datadir/icons/hicolor/*/apps/ddd.png

%changelog
* Sat Apr 09 2005 Olivier Thauvin <nanardon@mandrake.org> 3.3.10-2mdk
- adjust buildrequires for 64bits arch

* Wed Dec 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.3.10-1mdk
- 3.3.10

* Wed Aug 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 3.3.9-2mdk
- fix buildrequires

* Tue Aug 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.3.9-1mdk
- 3.3.9

* Fri Jun  4 2004 Stew Benedict <sbenedict@mandrakesoft.com> 3.3.8-2mdk
- rebuild, new gcc, libstdc++, add -fpermissive to CXXFLAGS
- remove rpath from binary, fix menu entry

* Fri Nov 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.3.8-1mdk
- 3.3.8

* Mon Oct 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.3.7-1mdk
- 3.3.7

* Fri Jun 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.3.6-2mdk
- fix buildrequires: readline-devel and binutils-devel (for -liberty)

* Wed Jun  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 3.3.6-1mdk
- update doc file listing
- drop pydb, seems to be missing
- drop source 1 (merged into main tarball)
- fix configure macro
- drop the patch
- fix buildrequires
- new version (the fork from sourceforge)

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.3.1-9mdk
- rebuild for new glibc/rpm, installed but unpackaged files

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 3.3.1-8mdk
- Rebuild with gcc3.2

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 3.3.1-7mdk
- gcc 3.2 build

* Thu Jul 25 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.3.1-6mdk
- rebuild with latest lesstif to address corrupted display

* Tue Jul 16 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.3.1-5mdk
- LessTif includes and libraries are in normal locations now

* Tue May 28 2002 Stew Benedict <sbenedict@mandrakesoft.com> 3.3.1-4mdk
- rebuild with gcc 3.1

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.3.1-3mdk
- add desktop file
- spec cleaning:
	- remove uneeded "rm -f $$RPM_BUILD_ROOT/%%_infodir/dir"
	- remove uneeded sub sheels usage
	- merge all mkdir -p $RPM_BUILD_ROOT%_???dir
- better summary
- add BuildRequires
- fix for gcc3

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Fix menu entry

* Thu Jun 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.3.1-1mdk
- Rework/Sanetize the package.
- 3.3.1.

* Sun Mar 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.3-3mdk
- fix files section

* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.3-2mdk
- fixes descompression of doc (thx Ryan T. Sammartino)

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.3-1mdk
- updated to 3.3

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-3mdk
- ifarch ppc

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-2mdk
- disabled athena widgets

* Thu Sep 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-1mdk
- updated to 3.2.1
- add doc
- bm & macros

* Thu Jan 20 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs 
- used srpm provided by Dara Hazeghi <dhazeghi@pacbell.net>
